> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get View Entity

> Get a specific Entity in a ListView on an EntityList



## OpenAPI

````yaml /openapi/openapi_entities.json get /platform/entitylists/{entityListFullName}/views/{viewName}/entities/{entityId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_ENTITIES">
                <h2>ENTITIES</h2>
                <p>Entities are JSON entries within the Kibo database for handling large data sets to heavily filter (>2,000
                    items). Each entity is associated to an EntityList with schema, rules, and formatting for storing the
                    content. This content can be accessed via the API and Hypr tags.</p>
                <p>The <strong>Entity Lists</strong> resource manages all dynamic entities in your Kibo eCommerce document store of the
                    cloud. The content is JSON and can have up to five indexed properties (integer, decimal, string, date,
                    and boolean) with support for additional customized elements as needed. Every document in the entity
                    list has a validated unique ID. A Content property is not supported for Entity List. Instead, the
                    MetaData JSON property should be used to supply content when needed. Otherwise, to populate an Entity
                    List the user should create an entity and then add that resource to the list using the InsertEntity
                    operation.</p>
                <p>The <strong>Entity Containers</strong> resource provides all properties and data for entities within a site/tenant. This
                    data encapsulates all associated IDs including entity lists, entity views, site, tenant, entities, and
                    more.</p>
                <p>The <strong>List Views</strong> resource provides settings and options for displaying associated content within a context
                    level of site, tenant, catalog, or master catalog. ListViews can be associated with entity lists and
                    entities.</p>
            </div>
  title: Entities
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/entitylists/{entityListFullName}/views/{viewName}/entities/{entityId}:
    get:
      tags:
        - Entities
      summary: Get View Entity
      description: Get a specific Entity in a ListView on an EntityList
      parameters:
        - description: >-
            The full name of the EntityList including namespace in
            name@nameSpace format
          in: path
          name: entityListFullName
          required: true
          schema:
            type: string
        - description: The name of the ListView
          in: path
          name: viewName
          required: true
          schema:
            type: string
        - description: The unique Entity id
          in: path
          name: entityId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
            text/json:
              schema:
                type: object
            text/plain:
              schema:
                type: object
          description: OK
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````